package com.qmth.distributed.print.api.mark;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONArray;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.entity.SysConfig;
import com.qmth.teachcloud.common.service.CommonCacheService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 签到表 前端控制器
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Api(tags = "扫描-签到表")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SCAN + "/package")
public class ScanPackageController {
	@Autowired
    private CommonCacheService commonCacheService;

    @ApiOperation(value = "签到表条码识别坐标获取")
    @RequestMapping(value = "position/get", method = RequestMethod.POST)
    public JSONArray positionGet() {
    	SysConfig sysConfig = commonCacheService.addSysConfigCache(SystemConstant.PACKAGE_BARCODE_POSITION);
    	String value = sysConfig.getConfigValue();
    	JSONArray ja=JSONArray.parseArray(value);
    	return ja;
    }
}
